#!/usr/local/bin/perl
#
# select a quarter and year, given the start jday and four-digit year 
# and current jday and year - use current jday as the selection parameter
#

@start_date = split(/\//,$ARGV[0]);
@end_date   = split(/\//,$ARGV[1]);
$diffyear = $end_date[1] - $start_date[1];
$diffjday = $end_date[0] - $start_date[0];
$numqtrs = int ( ((${diffyear} * 365) + ${diffjday}) / 91.25);
$qtrindex = $end_date[0] % $numqtrs;
if ($start_date[0] < 90) {
  $selqtr = "Q1";
} elsif ($start_date[0] < 180) {
  $selqtr = "Q2";
} elsif ($start_date[0] < 270) {
  $selqtr = "Q3";
} else {
  $selqtr = "Q4";
}

$selyear = $start_date[1];

for ($i=0;$i<${qtrindex};$i++) {
  if ($selqtr eq "Q4") {
    $selyear++;
    $selqtr = "Q1";
  } elsif ($selqtr eq "Q1") {
    $selqtr = "Q2";
  } elsif ($selqtr eq "Q2") {
    $selqtr = "Q3";
  } else {
    $selqtr = "Q4";
  }
}

## SPECIAL EXCEPTION, for the meantime
## if the year 1996 comes up, bump the year up to 1997 - problems with 1996
##if (${selyear} == 1996) {$selyear = 1997;}
## DEACTIVATED - REC 1/22/99

print "${selqtr}_${selyear}\n";

