#include <stdio.h>
#include <stdlib.h>

int main(int argc,char **argv)
{
    float eqlat, eqlon, stlat, stlon, del, az, baz;

    if(argc != 5) {
        fprintf(stderr,"Usage: get_delaz eqlat eqlon stlat stlon\n");
        exit(-1);
    }
    eqlat = (double) atof(argv[1]);
    eqlon = (double) atof(argv[2]);
    stlat = (double) atof(argv[3]);
    stlon = (double) atof(argv[4]);

    delaz(eqlat, eqlon, stlat, stlon, &del, &az, &baz);

    fprintf(stdout,"%.2f %.2f %.2f\n", del, az, baz);
}
